import everest

# create session by using client token
with open('.token') as f:
    token = f.read().strip()
session = everest.Session('Vina Run', 'https://everest.distcomp.org', token=token)

# define Vina application
vina = everest.App('53a56f403000007300136697', session)

try:
    # prepare job inputs
    inputs = {
        'receptor': open('inputs/run/protein.pdbqt', 'rb'),
        'ligand': open('inputs/run/ligand.pdbqt', 'rb'),
        'center_x': 11,
        'center_y': 90.5,
        'center_z': 57.5,
        'size_x': 22,
        'size_y': 24,
        'size_z': 28,
        'exhaustiveness': 1
    }

    # submit job
    job = vina.run(inputs)
    
    # wait until the job is completed
    result = job.result()

    # store output files
    session.getFile(result['output'], 'results/run/ligand_out.pdbqt')
    session.getFile(result['log'], 'results/run/log.txt')

finally:
    # always close the session on exit
    session.close()